<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>TipsAndTricks/NTFS</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">TipsAndTricks/NTFS</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="en"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><span class="anchor" id="line-4"></span><span class="anchor" id="line-5"></span><p class="line867">
<h1 id="How_to_Mount_an_NTFS_Filesystem">How to Mount an NTFS Filesystem</h1>
<span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><p class="line862">[Note: if you are running a centosplus kernel, see <a href="./TipsAndTricks(2f)NTFS.html#note_for_cplus">this section</a>] <span class="anchor" id="line-8"></span><span class="anchor" id="line-9"></span><p class="line867">
<h2 id="Installing_required_packages">1. Installing required packages</h2>
<span class="anchor" id="line-10"></span><p class="line867"><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> While older ntfs drivers were prone to eat your data in r/w-mode, ntfs-3g seems to be r/w safe. See <a class="https" href="https://www.tuxera.com/community/open-source-ntfs-3g/">the ntfs-3g page</a> for more information. <span class="anchor" id="line-11"></span><span class="anchor" id="line-12"></span><p class="line862">The <strong>EPEL</strong> repository carries ntfs-3g packages for <strong>CentOS-7</strong> and <strong>CentOS-6</strong>. To install, after enabling the EPEL repo per the <a href="./Repositories.html">Repositories</a> page: <span class="anchor" id="line-13"></span>{{{yum install ntfs-3g fuse <span class="anchor" id="line-14"></span>}}} <span class="anchor" id="line-15"></span>or if you prefer to leave EPEL disabled by default <span class="anchor" id="line-16"></span>{{{yum --enablerepo epel install ntfs-3g fuse <span class="anchor" id="line-17"></span>}}} <span class="anchor" id="line-18"></span><span class="anchor" id="line-19"></span><p class="line874">You may also want to <span class="anchor" id="line-20"></span>{{{yum install ntfsprogs ntfsprogs-gnomevfs <span class="anchor" id="line-21"></span>}}} <span class="anchor" id="line-22"></span>for additional functionality. Take, for example, ntfsclone to copy ntfs-partitions with or without empty space. ntfsprogs-gnomevfs is only available for CentOS 6. <span class="anchor" id="line-23"></span><span class="anchor" id="line-24"></span><p class="line867">
<h2 id="Mounting_an_NTFS_filesystem">2. Mounting an NTFS filesystem</h2>
<span class="anchor" id="line-25"></span><p class="line862">Suppose your ntfs filesystem is <tt class="backtick">/dev/sda1</tt> and you are going to mount it on <tt class="backtick">/mymnt/win</tt>, <span class="anchor" id="line-26"></span>do the following. <span class="anchor" id="line-27"></span><span class="anchor" id="line-28"></span><p class="line874">First, create a mount point.  <span class="anchor" id="line-29"></span>{{{mkdir /mymnt/win <span class="anchor" id="line-30"></span>}}} <span class="anchor" id="line-31"></span>Next, <strong>edit</strong> <tt class="backtick">/etc/fstab</tt> as follows.  To mount read-only: <span class="anchor" id="line-32"></span>{{{/dev/sda1       /mymnt/win   ntfs-3g  ro,umask=0222,defaults 0 0 <span class="anchor" id="line-33"></span>}}} <span class="anchor" id="line-34"></span>To mount read-write: <span class="anchor" id="line-35"></span>{{{/dev/sda1       /mymnt/win   ntfs-3g  rw,umask=0000,defaults 0 0 <span class="anchor" id="line-36"></span>}}} <span class="anchor" id="line-37"></span>You can now mount it by running: <span class="anchor" id="line-38"></span>{{{mount /mymnt/win <span class="anchor" id="line-39"></span>}}} <span class="anchor" id="line-40"></span><span class="anchor" id="line-41"></span><p class="line867">
<h2 id="Users_of_the_centosplus_kernel">3. Users of the centosplus kernel</h2>
<span class="anchor" id="line-42"></span><p class="line867"><span class="anchor" id="note_for_cplus"></span> <span class="anchor" id="line-43"></span><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> The NTFS module is not enabled in the centoplus (<a href="./Repositories(2f)CentOSPlus.html">Repositories/CentOSPlus</a>) kernel starting with CentOS-5.3.  This is because NTFS in 5.3 is broken.  Please see <a class="https" href="https://bugzilla.redhat.com/show_bug.cgi?id=481495">https://bugzilla.redhat.com/show_bug.cgi?id=481495</a> for details. If you would like to use the NTFS driver from the CentOS kernel, you can do so by installing <strong>kmod-ntfs</strong> from <a class="http" href="http://elrepo.org">the ELRepo project</a>.  However, unlike ntfs-3g, the <strong>write</strong> option of the kernel ntfs module is extremely limited.  Here is a note from the kernel Kconfig file (thanks to <a href="./AlanBartlett.html">AlanBartlett</a> for this info): <span class="anchor" id="line-44"></span><span class="anchor" id="line-45"></span><p class="line862">"The only supported operation is overwriting existing files, without changing the file length.  No file or directory creation, deletion or renaming is possible.  Note only non-resident files can be written to so you may find that some very small files (&lt;500 bytes or so) cannot be written to." <span class="anchor" id="line-46"></span><span class="anchor" id="line-47"></span><p class="line862">The following description applies to <strong>CentOS 5.2 or older</strong>. <span class="anchor" id="line-48"></span><span class="anchor" id="line-49"></span><p class="line862">In CentOSPlus  kernels, both ntfs and fuse <strong>kernel modules</strong> are enabled.  The main difference between  <span class="anchor" id="line-50"></span>ntfs and ntfs-3g is that the former is read-only, whilst the latter is read-write.  Therefore, if you do not need write access to a <span class="anchor" id="line-51"></span>ntfs filesystem, there is no need to install additional packages.  Simply add this line to <tt class="backtick">/etc/fstab</tt> : <span class="anchor" id="line-52"></span>{{{/dev/sda1       /mymnt/win   ntfs  ro,umask=0222,defaults 0 0 <span class="anchor" id="line-53"></span>}}} <span class="anchor" id="line-54"></span>If you wish to have read-write access, you would need the fuse-ntfs-3g package.  But, because the fuse  <span class="anchor" id="line-55"></span>module is already available in the kernel, you do not need the dkms package: <span class="anchor" id="line-56"></span>{{{yum install fuse fuse-ntfs-3g <span class="anchor" id="line-57"></span>}}} <span class="anchor" id="line-58"></span><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> <strong>However</strong>, the fuse kernel module included in CentOS 5 (as of August 2007) produces a message: WARNING: Deficient FUSE kernel module detected.  It still works, but it is advised that the fuse module from RPMforge (newer) be used instead.  Also, you should update to the latest kernel which does not suffer from this issue. <span class="anchor" id="line-59"></span><span class="anchor" id="line-60"></span><p class="line874">Therefore, run: <span class="anchor" id="line-61"></span>{{{yum install fuse fuse-ntfs-3g dkms dkms-fuse <span class="anchor" id="line-62"></span>}}} <span class="anchor" id="line-63"></span>to replace the existing fuse kernel module with the one from RPMforge. <span class="anchor" id="line-64"></span><span class="anchor" id="line-65"></span><p class="line867"><hr /><p class="line874"> <span class="anchor" id="line-66"></span>See also: <span class="anchor" id="line-67"></span><span class="anchor" id="line-68"></span><p class="line867"><a class="http" href="http://wiki.linux-ntfs.org/doku.php?id=ntfs-en#can_i_mount_an_ntfs_volume">http://wiki.linux-ntfs.org/doku.php?id=ntfs-en#can_i_mount_an_ntfs_volume</a> (read-only mounting) <span class="anchor" id="line-69"></span><span class="anchor" id="line-70"></span><p class="line867"><hr /><p class="line874"> <span class="anchor" id="line-71"></span>Originally written by <a href="./AkemiYagi.html">AkemiYagi</a>.  Anyone is welcome to edit. <span class="anchor" id="line-72"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:23
</body>
</html>
